// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "ShaderManager.hpp"

using namespace Dawn;

ShaderManager::ShaderManager() {
  this->nextId = 0;
  this->nextLock = 0;
}

ShaderManager::~ShaderManager() {
  auto it = this->shaders.begin();
  while(it != this->shaders.end()) {
    delete it->second;
    ++it;
  }
}